| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Typedefs | Functions
docview.h File Reference

## Classes

class | wxDocTemplate
| The wxDocTemplate class is used to model the relationship between a document class and a view class. More...
class | wxDocManager
| The wxDocManager class is part of the document/view framework supported by wxWidgets, and cooperates with the wxView, wxDocument and wxDocTemplate classes. More...
class | wxView
| The view class can be used to model the viewing and editing component of an application's file-based data. More...
class | wxDocChildFrame
| The wxDocChildFrame class provides a default frame for displaying documents on separate windows. More...
class | wxDocParentFrame
| The wxDocParentFrame class provides a default top-level frame for applications using the document/view framework. More...
class | wxDocument
| The document class can be used to model an application's file-based data. More...

## Typedefs

typedef wxVector< wxDocument * > | wxDocVector
| A vector of wxDocument pointers. More...
typedef wxVector< wxView * > | wxViewVector
| A vector of wxView pointers. More...
typedef wxVector< wxDocTemplate * > | wxDocTemplateVector
| A vector of wxDocTemplate pointers. More...

## Functions

bool | wxTransferFileToStream (const wxString &filename, ostream &stream)
| Copies the given file to stream. More...
bool | wxTransferStreamToFile (istream &stream, const wxString &filename)
| Copies the given stream to the file filename. More...

## Typedef Documentation

typedef wxVector<wxDocTemplate*> wxDocTemplateVector

A vector of wxDocTemplate pointers.

Since
  2.9.5

typedef wxVector<wxDocument*> wxDocVector

A vector of wxDocument pointers.

Since
  2.9.5

typedef wxVector<wxView*> wxViewVector

A vector of wxView pointers.

Since
  2.9.5